---
lang: en
title: 'API docs: socketio.socketiorejectprovider.action'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketiorejectprovider.action.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoRejectProvider](./socketio.socketiorejectprovider.md) &gt; [action](./socketio.socketiorejectprovider.action.md)

## SocketIoRejectProvider.action() method

<b>Signature:</b>

```typescript
action(done: Function, error: Error): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  done | Function |  |
|  error | Error |  |

<b>Returns:</b>

void


